Subject: Re: bug#13193: 24.3.50; EasyPG with Gnupg set up to use card reader; handling card not inserted

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 10 May 2022 14:25:40 +0200

[email-masked] (Adam Sjøgren) writes:

> I have Gnupg set up to use a card reader which holds my private key.
>
> When I try to sign a region with EasyPG (starting "emacs -Q" and using
> M-x epa-sign-region), and haven't inserted my card in the reader, I get
> an error:
>
>   Signing...done
>   epa-sign-region: Wrong type argument: stringp, nil
>
> And the region is cut (i.e. disappears).
>
> If I M-x toggle-debug-on-error, the backtrace is this:
>
>   Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>     epa--decode-coding-string(nil utf-8-unix)
>     epa-sign-region(192 197 nil clear)

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I don't have a card reader, so I can't test this, but I extremely
vaguely remember reading somebody writing about this and that it worked.

Are you still seeing this issue in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no